summaryrefslogtreecommitdiff
path: root/debian/twoftpd-run.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/twoftpd-run.prerm')
-rw-r--r--debian/twoftpd-run.prerm9
1 files changed, 9 insertions, 0 deletions
diff --git a/debian/twoftpd-run.prerm b/debian/twoftpd-run.prerm
new file mode 100644
index 0000000..ab7d84a
--- /dev/null
+++ b/debian/twoftpd-run.prerm
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+test "$1" = 'remove' || test "$1" = 'deconfigure' || \
+ test "$1" = 'failed-upgrade' || exit 0
+
+for i in twoftpd twoftpd-anon; do
+ update-service --remove /etc/$i 2>/dev/null || :
+done